import {
    RECEIVE_MY_COURSES,
    INVALIDATE_COURSEDATA,
    VALIDATE_COURSEDATA
} from './actions'

const initialState = {
    shouldFetch: true,
    courseList: [],
    page: 0,
    statusCode: 0,
    msg: '',
    noMore: false
}


export default function myCourses(state = initialState, action) {
    switch (action.type) {
        case RECEIVE_MY_COURSES:
            let {courseList, ...rest} = action.payload
            return {...state, ...rest, courseList: state.courseList.concat(courseList)}
        case INVALIDATE_COURSEDATA:
            return {...state, shouldFetch: false}
        case VALIDATE_COURSEDATA:
            return {...state, shouldFetch: true}
        default:
            return state
    }
}